| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::HardwareBufferLockGuard< T > Struct Template Reference

Locking helper. More...

`#include <OgreHardwareBuffer.h>`

## Public Member Functions
| HardwareBufferLockGuard (const T &p, HardwareBuffer::LockOptions options)
| HardwareBufferLockGuard (const T &p, size_t offset, size_t length, HardwareBuffer::LockOptions options)
| ~HardwareBufferLockGuard ()

## Public Attributes
const T & | pBuf
void * | pData

## Detailed Description

### template<typename T>
struct Ogre::HardwareBufferLockGuard< T >

Locking helper.

Guaranteed unlocking even in case of exception.

## Constructor & Destructor Documentation

## ◆ HardwareBufferLockGuard() [1/2]

template<typename T >

Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard | ( | const T & | p,
|  | HardwareBuffer::LockOptions | options
| ) |  |
| inline

References Ogre::HardwareBufferLockGuard< T >::pBuf, and Ogre::HardwareBufferLockGuard< T >::pData.

## ◆ HardwareBufferLockGuard() [2/2]

template<typename T >

Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard | ( | const T & | p,
|  | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options
| ) |  |
| inline

References Ogre::HardwareBufferLockGuard< T >::pBuf, and Ogre::HardwareBufferLockGuard< T >::pData.

## ◆ ~HardwareBufferLockGuard()

template<typename T >

Ogre::HardwareBufferLockGuard< T >::~HardwareBufferLockGuard | ( |  | ) |
| inline

References Ogre::HardwareBufferLockGuard< T >::pBuf.

## Member Data Documentation

## ◆ pBuf

template<typename T >

const T& Ogre::HardwareBufferLockGuard< T >::pBuf

Referenced by Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard(), and Ogre::HardwareBufferLockGuard< T >::~HardwareBufferLockGuard().

## ◆ pData

template<typename T >

void* Ogre::HardwareBufferLockGuard< T >::pData

Referenced by Ogre::HardwareBufferLockGuard< T >::HardwareBufferLockGuard().

The documentation for this struct was generated from the following file:

- OgreHardwareBuffer.h